#! /bin/sh

if [ -z "$1" ]; then
   echo "Usage: $0 host [...params...]" >&2
   exit 1
fi

host="$1"
shift

cd "`dirname \"$0\"`" &&
ANSIBLE_ROLES_PATH=roles:../roles &&
export ANSIBLE_ROLES_PATH &&

# Passwordless access isn't configured yet; use `ssh` connection sharing.
# `sudo` isn't configured yet too; ask for phd password.
ansible-playbook ../init-system.yml "$@" -e hosts="$host" -K &&
exec ansible-playbook ../init-system2.yml "$@" -e hosts="$host"
